{
  description = "Micro Optical Spectrum Analyzer";

  inputs.nixpkgs.url = github:NixOS/nixpkgs/nixos-23.05;

  outputs = { self, nixpkgs }:
    let
      pkgs = import nixpkgs { system = "x86_64-linux"; };
    in {
      devShell.x86_64-linux = pkgs.mkShell {
        name = "microsa-dev-shell";
        buildInputs = [
          pkgs.gnumake
          pkgs.gcc
          pkgs.pkg-config
          pkgs.wayland
          pkgs.glfw-wayland
          pkgs.libffi
        ];
        shellHook = ''
          export IMGUI_DIR=${pkgs.imgui}/include/imgui
        '';
      };
    };
}
